VOCALOID Help

Version 2.0

  • The Interface
  • Operation
  • Appendix

VOCALOID website: http://www.vocaloid.com/

*VOCALOID is a trademark of YAMAHA Corporation.
*ReWire(TM) is a product or Propellerhead(TM) Software. ReWire and Propellerhead are trademarks of Propellerhead Software.
*VST is either a registered trademark or a trademark of Steinberg Soft- und Hardware GmbH.
*All other product and company names are a trademark or a registered trademark of their respective holders.


The Interface

  • The Menus
  • The Tool Bars
  • The Sequence Window
  • Control Track
  • The Mixer Window

Copyright ©2004-2007 by YAMAHA Corporation.
All rights reserved.


The Menus

  • Files
  • Edit
  • View
  • Job
  • Track
  • Lyrics
  • Setting
  • Help


File

With the exception of "Import" and "Export," the items in the File menu are pretty much standard and should be intuitive to use.

New

Create a new VOCALOID2 sequence file. When you select this function you will be asked if you want to save the current sequence file. Select [YES] to enter a name for the current sequence (if necessary) and save it before opening a new file, [NO] to discard the current sequence and open a new file, or [CANCEL] to abort the operation.

Open

Open an existing VOCALOID2 sequence file. When you select this function you will be asked if you want to save the current sequence file if it has been edited in any way. Select [YES] to enter a name for the current sequence (if necessary) and save it before opening another file, [NO] to discard the current sequence and open a different file, or [CANCEL] to abort the operation.

Once you have saved or discarded the current sequence the standard open-file dialog will appear, allowing you to navigate to and open the desired VOCALOID2 sequence file.

Save

When saving a new file this command will open the standard save-file dialog window. To save a file specify the location to which you want to save the file, enter the file name, and click [SAVE]. If the file has been saved previously, selecting the Save command will simply overwrite the file without opening the Save dialog window.

Save As...

Save the current sequence file using a new name, leaving the previously saved version untouched. Specify the location to which you want to save the file, enter the file name, and click [SAVE].

Import...

This function lets you import SMF files (Standard MIDI Files) from other sequencers or applications, VOCALOID files from the original VOCALOID application, and VOCALOID2 files when you want to merge VOCALOID2 projects (see below), for example. The imported MIDI data can include both note data and lyrics that can be converted to data that can be sung by VOCALOID2.

Importing and Merging Files

You can use the Import function to merge a second file into one that's already open. This capability can be used to import and merge SMF files, files created by the original VOCALOID application, and VOCALOID2 files. When you select the Import function and open the file you want to merge into the current project, an Import Options window will appear that allows you to choose the tracks you want to import.

Selected tracks will be imported and numbered above the tracks in the project that is already open. Just remember that VOCALOID2 allows up to 16 simultaneous tracks, total.

Export

Wave File

This function exports the current sequence as a standard wave-format (WAV) audio file. The standard save-file dialog will appear: specify the location to which you want to save the wave file, enter a file name, and click [SAVE].

VOCALOID2 MIDI

This function exports the current VOCALOID2 note and lyrics data as a MIDI file that can be used by the VOCALOID2 VSTi plug-in.

Recent File

The name of the most recently created or opened file will be displayed here. Simply click the name to directly open the file.

Quit

Click "Quit" to quit the VOCALOID2 Editor application. If the current sequence file has been edited in any way you will be asked if you want to save the current sequence file before quitting the application. Select [YES] to enter a name for the current sequence (if necessary) and save it before quitting, [NO] to discard the current sequence and quit, or [CANCEL] to abort the operation.


Edit

The Edit menu items are fairly standard and should be familiar to anyone who has used a word processor or other music sequencer application.

Undo

This function can be used to "undo" the last edit operation in most cases. If you make an edit and then decide you want to undo it, be sure to use the Undo function immediately after performing the editing and before performing any other operation. The "Undo" item will also "redo" a previously undone edit. So after making an edit you can use the Undo item to switch back and forth between the edited and pre-edit version for comparison c or simply to change your mind.

Cut/Copy/Paste

The Cut, Copy and Paste editing commands are similar to the equivalent commands in most other applications, and can be used with objects in the sequence track and control track. "Cut" and "Copy" will cut or copy an object you have highlighted (single-click), or a group of objects you have highlighted by clicking and dragging with the pointer tool. There are, however, a few things to keep in mind.

  • When you cut/copy and then paste notes or control-track data, it will be pasted at the current position indicator location (the vertical line in the sequence and control tracks).
  • Please remember that overlapped notes within the same track will not play back (they will be displayed in grey), and that any pasted control data will overwrite the existing data.

Delete

Deletes the currently selected data object(s).

Auto Normalize Mode

When this function is turned on notes entered in the sequence track are normalized &quot;on the fly&quot; so that overlapping notes do not have to be located and rectified later on. If a note is entered so that it overlaps another note in the track, the first note will be truncated to eliminate the overlap. Refer to the &quot;Normalize Notes&quot; item in the Job menu (see The Menus -> Job) for more information. This function is alternately checked (ON) or unchecked (OFF) each time it is selected.

Select All

This item will select all notes and data in the current sequence and control tracks.

Select All Events

This item will select all "events" in the current sequence track (i.e. all notes with their associated expression and vibrato).

If you select "Select All Events" from the contextual menu that appears when you right-click in the control track area (see The Control Track), all data for the control parameter currently being edited will be selected.


View

The items in this menu what palettes and data types will appear or be hidden. A check mark will appear to the left of items that are currently showing.

Toolbar

This item accesses a submenu that lets you individually hide or show the Measure, Edit, and Transport toolbars. The related toolbar is showing when a check appears next to its name in this submenu. The Reset Toolbar item resets the toolbars to their default state.

Control Track

This item hides or shows the control track at the bottom of the VOCALOID2 window. The Control Track item is alternately checked (show control track) and unchecked (hide control track) each time it is selected.

Mixer

Shows or hides the VOCALOID2 mixer window that contains mix controls for each individual track within the sequence as well as a master level control (see The Mixer Window).

Grid Line

Shows or hides grid lines corresponding to the currently selected grid size in the sequence track. The grid lines can serve as a useful visual guide when entering or moving notes (see Entering and Editing Notes).

Start Marker
End Marker

These items show or hide the start or end markers, respectively (see The Tool Bars -> The Measure Bar -> Show/Hide Start and End Markers). They are alternately checked (show marker) or unchecked (hide marker) each time they are selected.

Lyrics/Phoneme
Expression/Vibrato

These items all show or hide the corresponding data objects in the sequence track. They are alternately checked (show data) or unchecked (hide data) each time they are selected.


Job

The Job menu includes one function that can help eliminate overlapped notes, and several others that provide considerable flexibility for modifying the current track.

Normalize Notes

Resolves all instances of overlapping notes in the current track by shortening (truncating) the first note of all overlapping pairs. If you attempt to play a track that contains overlapped notes an error window shown below will appear and the position indicator will move to the location of the first note overlap it encounters so you can fix the situation as required. You can either modify the notes yourself to eliminate the overlap, or simply run the "Normalize Notes" job.

"Normalize Note" dialog window

Insert Bars

This function provides a convenient way to insert a specified number of bars at any point in the current sequence. Select the Insert Bars job then select the "Position" (i.e. the bar at which you want the new bars to be inserted) and the "Length" (i.e. the number of bars to be inserted) via the pop-window that appears, then click [OK]. The Insert Bars function can only be selected if the sequence contains data, and the "Position" can only be set within the range of bars that contain data.

Delete Bars

Delete Bars provides an easy way to delete any number of bars from a track. Data following the deleted bars will be moved back. This is different from simply deleting the data, in which case the subsequent data is not moved back. To delete a number of bars select the Delete Bars job and select the "From" and "To" points via the pop-window that appears, then click [OK]. To delete the third bar from a four-bar sequence, for example, you would need to select "From 3" and "To 4".

Randomize

By producing slight variations in note timing and pitch, this job can give VOCALOID2 tracks a more natural, human feel. After selecting the Randomize job, use the "Start" and "End" parameters at the top of the Randomize window to specify the measures and beats at the start and end of the segment you want to randomize. If you want the note timing to be varied make sure that the "Note-on Shifting" checkbox is checked, then select the amount of note shift variation to be applied via the "Value" parameter. If you also want to apply pitch variation, make sure that the "Pitch Fluctuation" checkbox is checked. For pitch variation you can select either the "Automatic" pattern or one of the other patters that will produce different types of pitch variation. The "Resolution" parameter determines how smooth or coarse the pitch variation waveform is: lower values produce a smoother variation. The "Value" parameter sets the depth of the pitch variation.

"Randomize" dialog window

Connect Notes

Notes can easily be "connected" to create a legato feel using this job. Select the notes you want connected in the sequence track, then select the Connect Notes job. Click [OK] in the confirmation window that appears and the ends of the selected notes will be extended to meet the attack of the subsequent notes.

Insert Lyrics

Instead of individually entering the lyrics for each note in a sequence, you can use the Insert Lyrics job to automatically enter entire phrases.

Click the first of the notes into which you want to insert new lyrics, then select the Insert Lyrics job. A text edit window will appear into which you can simply type the lyrics you want inserted. The number of available notes following the selected note will be shown at the top of the text window. One syllable will be entered in each note. For example, the three words "I love you" would require three notes, but the single word "inferno" would also require three notes (in-fer-no). Words or syllables that exceed the number of notes available will be truncated. When you have typed the required lyrics in the text box click the [OK] button and the lyrics will be entered in the notes.

"Insert Lyric" dialog

Import Rewire Host Tempo

This function acquires the tempo data from a ReWire host application to which VOCALOID2 is connected, allowing precise synchronization.


Track

A VOCALOID2 sequence can have up to 16 different tracks, allowing you to create entire choruses using a variety of "singers," for example. The items in this menu provide access to a range of useful functions for managing your tracks.

Track On

This "switch" turns the currently selected track on or off. This item is alternately checked (track ON) or unchecked (track OFF) each time it is selected. This provides a convenient way to temporarily mute tracks as well as to reduce the load on the computer's CPU.

Add Track

Creates a new empty track with the default track name.

Copy Track

Creates a copy of the current track. The copy track will have the same name as the source track, followed by a number in parentheses.

Rename Track

Allows a new name to be entered for the current track - the name in the track selector of the current track will switch to text-edit mode when this item is selected. You can also directly rename tracks by double-clicking the appropriate track selector.

Delete Track

Deletes the current track. When this item is selected a confirmation dialog will appear allowing you to either proceed with the delete operation (click [YES]), or abort the delete operation (click [NO]).

Render Current Track

Render the current track to lighten the load on the computer's CPU, thus facilitating smooth playback. See The Control Track -> The Track Tabs and Render Controls for more details.

Render All Tracks

Render all tracks to lighten the load on the computer's CPU, thus facilitating smooth playback. See The Control Track -> The Track Tabs and Render Controls for more details.

Overlay

Determines whether or not you can see the notes in hidden tracks in the current track window. When this item is checked, notes in hidden tracks appear lightly shaded in the current track window. When the Overlay item is not checked you can only see the contents of the current track.


Lyrics

This menu provides access to functions that affect the way VOCALOID2 interprets lyrics, as well as some expression controls.

Note Property

The Note Property window lets you edit the note's expression, vibrato, and lyric/phoneme. See Note Property 1-Adding Vibrato and Expressions for details on the editing functions available via the Note Property window.

Phoneme Transformation

This function transforms lyrics imported with a MIDI file into data that can be sung by the VOCALOID2 application. Phoneme Transformation does not have to be executed when you enter lyrics via the VOCALOID2 interface, only when you import lyrics with a MIDI file via the File menu "Import" command.

User Word Dictionary

Opens the User Word Dictionary for editing and addition of new words. VOCALOID2 comes with a basic dictionary that produces appropriate pronunciations for most lyrics, but the initial dictionary might not be able to transform all of the words you want to use in your lyrics. Any additional words can be entered in the VOCALOID2 User Word Dictionary so your freedom to enter lyrics is essentially unlimited (see Note Property 2 - Phoneme Functions -> The User Word Dictionary).


Setting

This menu includes a number of settings that determine the basic operation and performance of the VOCALOID2 Editor application.

Preference

This item opens the tabbed VOCALOID2 "Preference" window, allowing access to the parameters described below.

"VOCALOID2 Sequence" Tab

"Preference" window - "VOCALOID Sequence" Tab

Resolution (VSTi)

These parameters adjust the resolution in clocks (480 clocks per quarter note) at which the dynamics and vibrato depth/rate changes will occur. If the changes sound uneven or "stepped" to you, try increasing the resolution (i.e. set a smaller number).

Vibrato Settings

The "Default Vibrato Length" parameters specifies the length of the vibrato applied to notes as a percentage of the note length. Select one of the presets from the drop-down menu.

The "Automatic Vibrato Settings" specify whether or not vibrato will be automatically applied to entered notes. Vibrato will be applied automatically if the "Enable Automatic Vibrato" checkbox is checked. You can specify the shortest notes to which vibrato will be automatically applied (in beats) via the "Minimum Note Length for Automatic" Drop-down menu, and the type of the vibrato that will be applied via the "Vibrato Type" drop-down menu.

"Audio Settings" Tab

"Preference" window - "Audio Settings" Tab

Synthesis Engine

Here you have the sampling rate setting for the VOCALOID2 synthesis engine. The resolution is fixed at 16 bits. The available sampling rate settings will depend on the sound output device (normally your sound card) that you are using.

Output

When the "Audio Device" radio button is selected, VOCALOID2 output is sent directly to your computer's audio device. If you have more than one audio device installed you can select the one to which you want to send the VOCALOID2 output via the "Output" selection menu. The "Channel" parameter lets you select stereo or mono output. The "Buffer" parameter can be used to set the audio output buffer from 100 to 500 milliseconds to match the capabilities of your computer and audio output device.

Select the "ReWire - Master" or "ReWire - All Tracks" when using VOCALOID2 in conjunction with a ReWire-capable sequencer or other application: select "ReWire - Master" to connect the master VOCALOID2 output, or "ReWire - All Tracks" to connect the VOCALOID2 tracks individually.

Wave File Output

The parameters in this window specify details of the WAV file to be exported via the "Export" item in the File menu (see The Menus -> File -> Export). The "Master Track" and "Current Track" radio buttons let you specify whether all tracks are exported as a single WAV file ("Master Track"), or only the current track is exported ("Current Track"). When "Mono" is selected two mono files are exported, although the output level of the files will depend on the setting of the pan control in the mixer window (see The Mixer Window).

"Other Settings" Tab

"Preference" window - "Other Settings" Tab

Default Singer

This parameter determines the default singer for new tracks.

Pre-Send

In much vocal delivery a portion of the sound will appear a little before the beat. This is not syncopation, but rather to allow for the initial acoustic buildup of some sounds ("s" is a good example). In order to recreate such natural advanced sounds as realistically as possible, VOCALOID2 must send the triggering MIDI data to the VOCALOID2 synthesis engine a little earlier than a conventional synthesizer would. This is the "pre-send" time, determined by this parameter.

Waiting Time

This parameter determines the delay time before playback actually begins after the playback command is given. An error message will appear when you attempt to play the track if this parameter is not set to a value that is long enough to allow for the Pre-Send time, above, and Pre-Measure setting, below. If you click "Adjust Pre-send Time" in the warning message window the pre-send time will automatically be adjusted (reduced) to fit within the available number of pre-measures.

Default Pre-Measure

Specifies the number of "pre-measures" before the actual sequence region in the sequence track begins. Pre-measures are indicated by negative numbers in the MEASURE ruler, and are a darker color than the playable region beginning at measure 1.

Chase Event

When this box is checked VOCALOID2 will keep track of control events that occur prior to the note(s) they are intended to be applied to, ensuring that control changes and variations are properly applied.

Playback Sample Sound

These settings affect the playback of sample sound when you click on the graphic keyboard to the left of the sequence track, or click and hold on a note in the sequence track. The "Enable" checkbox enables or disables sample sound playback. The "Timing" parameter specifies the length of time you need to click-and-hold the key or note to hear the sample sound, and the "Pre-send Time for Sample" parameter specifies the maximum length of consonants at the beginning of sample playback.

Singing Style Defaults

This window lets you specify the default expression settings for new notes entered in the sequence track. Set the parameters as required and click [OK] to make your settings the defaults. You can also click the [Apply to current track] button to apply the settings to all notes in the current track. In the latter case a confirmation window will appear. Click [Yes] to apply the expression parameters to all notes in the current track, or [No] to cancel.

"Singing Style Defaults" dialog window

Template

Load a basic expression type from the drop-down menu. The parameters settings in the window will change accordingly.

Pitch Control

Bend Depth slider (0 ~ 100%)
Bend Length slider (0 ~ 100%)

These two parameters specify the pitch variation that will occur at the beginning of the note. If both sliders are set all the way to the left (0%) no pitch variation will occur. Higher Bend Depth percentages create a pitch variation that covers a greater pitch range, and higher Bend Length percentages create longer pitch variation.

Add portamento in rising movement

When the pitch of a note is higher than that of the preceding note, a smooth upwared "portamento" pitch slide will occur at the beginning of the note.

Add portamento in falling movement

When the pitch of a note is lower than that of the preceding note, a smooth downward "portamento" pitch slide will occur at the beginning of the note.

Dynamics Control

Decay slider (0 ~ 100%)
Accent slider (0 ~ 100%)

These two sliders specify the "shape" of the expression at the beginning of the note. Accent increases or decreases the amplitude of the expression, while Decay increases or decreases the length of the decay into the sustained portion of the note following the initial expression portion. The height of the peak on the graphic expression symbol below the note will change to approximately reflect the Accent level.

Quantize

"Quantize" makes it easy to enter notes right on the beat. You have a choice of note alignments from 1/4 notes to 64th notes, plus triplet variations of all available notes. To select triplets select a note alignment and then select "Triplet" at the bottom of the Quantize menu so that it is checked. The "Triplet" option is alternately checked (triplet note values) and unchecked (straight note values) each time it is selected. When Quantize is "OFF" you can position notes with maximum "clock" resolution (there are 480 clocks per quarter note). Convenient tool-bar selectors and indicators are also provided for access to the Quantize settings (see Entering and Editing Notes -> Quantize vs. Length).

Length

While "Quantize," above, determines alignment of note attack, "Length" determines alignment of the release of notes entered in the sequence track. It therefore determines which beats the end of notes will snap to when stretched. The available values are the same as for "Quantize," above. Convenient tool-bar selectors and indicators are also provided for access to the Length settings (see Entering and Editing Notes -> Quantize vs. Length).

Singer Properties

Brings up a window that displays the current singer settings. To edit and customize the singer's voice you'll need to launch the separate Singer Editor application from your computer's START -> Programs -> VOCALOID2 menu (see The Singer -> Customizing the Singer's Voice).


Help

Contents and Index

Calls up the Contents and Index listings for the VOCALOID2 on-line help file.

About VOCALOID Editor...

Brings up the VOCALOID2 splash screen containing the version number and a link to the VOCALOID2 web site.


The Tool Bars

VOCALOID2 has a number of tool bars that provide direct access to a range of important functions. The tool bars can be rearranged in the tool bar area by dragging them by their Tool Bar Handle on the left edge of each tool bar. The tool bars can also be detached from the tool bar area and placed anywhere on the display simply by dragging. They can be dragged back to the tool bar area as required, or you can simply double-click the top of a detached tool bar to snap it back to its previous location.

  • The Measure Bar
  • The Edit Bar
  • The Transport Bar


The Measure Bar

The Measure Bar

Cursor Position Indicator

Cursor Position Indicator

These values tell you exactly where your cursor is located in the VOCALOID2 sequence track. The position is indicated by three values separated by commas - Measure : Beat : Clock. The first value is the number of the current measure, the second value is the beat as determined by the time signature set in the BEAT ruler, and the third value is the current clock position within the beat (there are 480 clocks per quarter note).

Length

While "Quantize," below, determines alignment of note attack, "Length" determines alignment of the release of notes entered in the sequence track. It therefore determines which beats the end of notes will snap to when stretched. Click on the LENGTH value to see the menu. You have a choice of note alignments from 1/4 notes to 64th notes, plus triplet variations of all available notes. To select triplets select a note and then select "Triplet" at the bottom of the menu so that it is checked. The "Triplet" option is alternately checked (triplet note values) and unchecked (straight note values) each time it is selected. When Length is "OFF" you can position the ends of notes with maximum "clock" resolution (there are 480 clocks per quarter note). The Length settings are also available via the Settings menu (see The Menus -> Setting -> Length).

Quantize

"Quantize" makes it easy to enter notes right on the beat. You have a choice of note alignments from 1/4 notes to 64th notes, plus triplet variations of all available notes. Click on the QUANTIZE value to see the menu. To select triplets select a note alignment and then select "Triplet" at the bottom of the Quantize menu so that it is checked. The "Triplet" option is alternately checked (triplet note values) and unchecked (straight note values) each time it is selected. Turn the Grid on either via the View menu or the tool bar button Grid On Button to see a grid overlay corresponding to the current quantize setting in the sequence track. When Quantize is "OFF" you can position notes with maximum "clock" resolution (there are 480 clocks per quarter note). The Quantize settings are also available via the Settings menu (see The Menus -> Setting -> Quantize).

Show/Hide Start and End Markers

Show/Hide Start and End Markers

These buttons individually show (activate) or hide (deactivate) the start and end markers that you create by dragging them from the position marker in the MEASURE ruler (see The Sequence Window -> Rulers). The Start and End markers can be dragged from any point in the MEASURE ruler, without having to move the position indicator, by clicking and holding for a second. The start and end markers define the beginning and end points for repeat playback.

Start Marker Start Marker Button

Click to show or hide the start marker.

End Marker End marker Button

Click to show or hide the end marker.


The Edit Bar

The Edit Bar

These are the main tools you'll use for selecting and editing data in the VOCALOID2 Editor.

Pointer Pointer button

The pointer tool is used to select already-entered notes and control points for editing. You can use it, for example, to drag notes to different positions or beats, and in some cases double-clicking on a data object will bring up an edit window for that object. You can click and drag with the pointer tool to select multiple notes. If you hold the [Ctrl] key while clicking and dragging you effectively select all data in the section of the track over which you drag, making it possible to subsequently move or copy note and control track data together, for example.

Pencil Pencil button

The pencil tool is used to enter new notes in the main data window, tempo or beat changes in the TEMPO and BEAT rulers, and controller data in the control track. The cursor automatically reverts to pointer mode when it is moved over the MEASURE ruler or any of the button or menu areas of the interface.

Line Line button

When you click and drag in the control track (see The Control Track) when the line tool is selected you will see a "rubber band" line connecting the point at which you initially clicked and the point at which you drag to. The curve or values over the corresponding region will automatically be matched to the line when you release the mouse button.

Eraser Eraser button

As its name suggests, the eraser will erase any data object you click on.

Show/Hide Grid Line Show/Hide Grid button

Click this tool to show or hide the quantize grid in the sequence track. The resolution of the grid is determined by the Quantize parameter (see The Tool Bars ->The Measure Bar ->Quantize).

Jump to Position Indicator Jump to Position Indicator button

If the sequence track position indicator is outside the current view and therefore not visible, you can simply click this tool to instantly jump to the position indicator location.


The Transport Bar

The Transport Bar

Similar to the transport controls on a tape deck (or just about any music sequencer program) these buttons let you play, stop, and move around within the sequence.

To Top To Top button

Click to go directly to the beginning (top) of the track. If the start marker Start Marker button is showing you can jump directly to it by pressing the period [.] key on your computer keyboard.

Fast Reverse Fast Reverse button

Rapidly scrolls backward through the track while held, or steps backward in one-measure increments if clicked briefly.

Fast Forward Fast Forward button

Rapidly scrolls forward through the track while held, or steps forward in one-measure increments if clicked briefly.

To End To End button

Click to jump directly to the end of the track.

Play Play button

Begins playback. If the Repeat button Repeat button is not engaged playback will stop automatically at the end of the track. Playback can also be started and stopped by pressing the [SPACE] or [ENTER] key on your keyboard.

Stop Stop button

Stops playback. Playback can also be started and stopped by pressing the [SPACE] or [ENTER] key on your keyboard.

Scroll Scroll On button

Turns scrolling on of off. When off the position pointer will move to the right and disappear off the end of the track window when the sequence is played back. This reduces the need for graphics processing, and therefore lightens the load on the computer's CPU during playback. When on, the sequence window will scroll to the right as the sequence plays, always maintaining the position pointer within view.

Repeat Repeat button

When the repeat button is engaged playback of the track segment between the start Start Marker button and end End Marker button markers will repeat continuously until stopped by clicking the Stop button transport button or by pressing the [SPACE] or [ENTER] key on your keyboard.

Send Info to Rewire Button

This button only becomes active when VOCALOID2 is properly connected to a ReWire host (see Using VOCALOID2 With Other Music Applications -> ReWire™ Synchronization). Before running the sequence you will need to click this button after the last edit has been made to send the necessary track information to the ReWire host. If you make any further edits to the VOCALOID2 track you will need to repeat this step.

Play Position Indicator

Play Position Indicator button

These values indicate the current position of the sequence track position indicator. The position is indicated by three values separated by commas - Measure : Beat : Clock. The first value is the number of the current measure, the second value is the beat as determined by the time signature set in the BEAT ruler, and the third value is the current clock position within the beat (there are 480 clocks per quarter note).

Tempo and Beat Indicators

Tempo and Beat Indicators button

Show the current sequence tempo and beat settings. The initial and subsequent tempo and beat changes can be entered and edited in the TEMPO and BEAT rulers, respectively, described below.


The Sequence Window

  • Rulers
  • Keyboard
  • Sequence Track


Rulers

The three "rulers" across the top of the sequence track display and control the track's time-based functions.

Measure

The line extending down from the MEASURE ruler is the track's position indicator. The indicator will scroll along the track during playback to indicate the current playback position. You can move the position indicator to any point in the track simply by briefly clicking in the MEASURE ruler at the desired location.

The position indicator will also jump to positions specified by operation of the transport To Top button, Fast Reverse button, Fast Forward button or To End button controls. The start Start Marker button and end End Marker button markers (see The Tool Bars -> The Measure Bar -> Start and End Markers) used to define the repeat playback limits also appear in the MEASURE ruler. The start and end markers can initially be dragged from the position indicator in the MEASURE ruler, and then dragged along the MEASURE ruler to the desired locations (the start marker will always precede the end marker). The start and end markers can also be dragged from any point in the MEASURE ruler - without having to move the position indicator - after clicking and holding for a second.

Tempo

The initial tempo and subsequent tempo changes can be entered and edited in the TEMPO ruler. To edit the initial tempo setting at the very beginning of the TEMPO ruler (you may need to drag the track's scroll handle all the way to the left), double click on it and then edit its value in the window that appears.

Global Tempo dialog window

Click [OK] to confirm and enter the tempo change or [CANCEL] to abort.

To enter a tempo change later in the track, click at the appropriate location in the TEMPO ruler with the pencil tool. The tempo window will appear allowing you to enter a new tempo value which will be entered at the point at which you clicked the pencil tool when you click the window's [OK] button. You can also set the precise position of the tempo change using the "Position" parameters in the tempo window (measure, beat, and clock).

Beat

The initial time signature and subsequent time signature changes can be entered and edited in the BEAT ruler. To edit the initial time signature setting at the very beginning of the BEAT ruler (you may need to drag the track's scroll handle all the way to the left), double click on it and then edit the upper and lower values in the window that appears. Click [OK] to confirm and enter the beat change or [CANCEL] to abort.

Beat Change dialog window

To enter a time signature change later in the track, click at the appropriate location in the BEAT ruler with the pencil tool. The time signature window will appear allowing you to enter new time signature values which will be entered at the point at which you clicked the pencil tool when you click the window's [OK] button. You can also set the precise position of the time signature change using the "Position" parameters in the time signature window.


Keyboard

The graphic piano keyboard is a visual guide for note entry. Each key corresponds to a band in the sequence window to the right of the keyboard - white bands correspond to white keys and gray bands correspond to black keys. You can even click on the keys to hear samples of the notes they produce.


Sequence Track

This is where you actually enter the notes and lyrics to be "sung" by VOCALOID2. You begin by entering the desired notes of the desired length. The default lyric is automatically entered for each note ("Ooh" when entering English, for example). You can then double-click on and edit the default lyric for each note to create the desired phrase (see Entering and Editing Lyrics). VOCALOID2 will be able to sing the lyrics you have entered - although you'll have to add dynamics and phrasing control to make the resultant vocal track sound realistic (see Note Property1-Adding Vibrato and Expression).

Scroll Bars

The horizontal and vertical scroll bars along the bottom and right edges of the sequence window perform essentially the same functions that they do in a word processor or other program: i.e. click the arrows at either end of the scroll bar to scroll in the corresponding direction, or drag the scroll handle to move to the desired location.

Zoom Slider

The zoom slider can be used to zoom in or out on the track horizontally. Drag the slider to the right to zoom in for fine note positioning, for example, or drag to the left to zoom out to see a broader overall view of the track.

Right-click Tip: Right-click in the sequence track for conveniently accessible tool selection (see The Tool Bars -> The Edit Bar), quantize section (see The Tool Bars -> The Measure Bar -> Quantize), note length selection (see The Tool Bars -> The Measure Bar -> Length), and edit items (see The Menus -> Edit).


The Control Track

The Control Track

In addition to specifying the initial singer and singer changes during the sequence, the control track is where you view and edit all other parameters that control the sound of the notes in the sequence track: note velocity, dynamics, and singer parameters such as breathiness, brightness, pitch bend, and more.

Refer to section "Expressive Control" for details on editing in the control track.

Value Field

The value field above the control track parameter selectors shows the value of the selected parameter at the current cursor position in the control track area. This facilitates precise tool positioning when editing the control track.

View Icons

The view (eye) icons to the left of each parameter selector indicate which parameters are showing in the control track. The currently selected parameter will always show, and you can select one other parameter to view simultaneously. For example, when editing dynamics in the DYN track (or any other continuous variable parameter), it is very helpful to be able to see the velocity values as well, since these appear as vertical bars at the beginning of each note, providing an accurate reference to the timing of the notes to which you are applying control.

Right-click Tip: Right-click in the sequence track for conveniently accessible tool selection (see The Tool Bars -> The Edit Bar) and edit items (see The Menus -> Edit).

The Track Tabs and Render Controls

Track selector tabs for all tracks you have created in your VOCALOID2 sequence will appear here. Select a track for editing or viewing by clicking the corresponding tab. The track selector tab of the currently active track will be highlighted. Double-click a tab to edit the track name. Colors are automatically assigned to the tabs according to the track number. An "R" at the right edge of a track tab means that the track has not been "pre-rendered" and is being synthesized as it is being played. This works OK if you only have a few tracks, but as the number of tracks increases the load on your computer's CPU may become too great to allow smooth playback if all the tracks are being synthesized in real time. In fact, VOCALOID2 won't let you play more than four un-rendered tracks simultaneously, and a message will appear asking you to render some of the tracks if you attempt to do so. Individual tracks can be rendered by clicking the "R" on the right edge of the track tab, or you can render all tracks by clicking "RENDER ALL". The track render options are also available in the Track menu.

Right-click Tip: Right-click on any track tab to conveniently access the Track menu items (see The Menus -> Track).


The Mixer Window

The Mixer Window

The VOCALOID2 Mixer window is a movable floating window that will appear in the display area when the VOCALOID2 Mixer item in the View menu is checked. The window can be dismissed either by clicking the close box in its upper right corner, or by clicking the VOCALOID2 Mixer item in the View menu a second time. The Mixer window provides mix controls for each individual track within the sequence as well as a master level control. A numbered track fader module will automatically be created for each track in your VOCALOID2 sequence.

Track Fader

Each track fader module includes a linear fader for independent level control of the corresponding track. Drag the fader up or down to adjust the level of the corresponding track. "0.0" in the fader knob indicates normal (nominal) level (0 dB). The fader scale ranges from -89.8 through 0 to +5.5. The current fader level is always shown in the fader knob. You can also set the fader level numerically by double-clicking in the knob and editing the value as required.

Pan Control

The pan control for each track is the small horizontal "L-R" slider below the fader. Drag the slider to the left or right to pan the signal from that track to the corresponding side of the stereo output. The pan position is indicated numerically below the pan control. Numerically the pan range is from -64 (full left) through 0 (center) to +64 (full right). You can also set the pan position numerically by double-clicking the current pan value and editing it as required.

Mute Button

Click the Mute button button at the top of any module to turn output from that track off. Click again to disengage the MUTE function.

Solo Button

The SOLO function allows "solo monitoring" of individual tracks. If you have created a number of tracks but want to listen to the output of just one, for example, you can simply engage the Solo button button for that track rather than having to individually mute all of the other tracks. When the SOLO function is engaged the Solo button button for that track will be highlighted while the Mute button buttons for all other tracks will be engaged. Click the Solo button button a second time to disengage the SOLO function.

Master fader Module

The master fader in the fader module controls the overall output level of all VOCALOID2 tracks. Operation of the master fader, fader level indicator, pan, and mute controls in the master fader module is the same as the corresponding controls in the track fader modules. The main difference is that below the pan control is a drop-down menu that allows the VOCALOID2 master output to be assigned to an available audio device or ReWire? enabled tracks in another application.


Operation

  • The Singer
  • Entering and Editing Notes
  • Entering and Editing Lyrics
  • Note Properties 1 - Adding Vibrato and Expression
  • Note Properties 2 - Phoneme Functions
  • Expressive Control
  • Using VOCALOID2 With Other Music Applications


The Singer

The singer is a vocal "entity" defined by the VOCALOID2 Library that will sing the notes and lyrics you enter. The singer can be male, female, and speak just about any language, as defined by the VOCALOID2 Library you are using. The VOCALOID2 Library you have purchased will include one or more singers, and you can add other singers by adding optional voice libraries as they become available.

  • Selecting a Singer
  • Changing Singers During the Sequence
  • Customizing the Singer's Voice
  • Adding and Copying Singers


Selecting a Singer

When a new sequence file is created the default singer will be automatically entered at the beginning of the control track (see The Control Track). The default singer, and the other singers that are available for selection, will depend on the VOCALOID2 Library you are using. You can change the default singer to any other available singer by double clicking on the singer icon at the beginning of the control track. This will bring up the singer menu with the available singer choice.

Click the name of the singer you want to use.


Changing Singers During the Sequence

You can change the singer at any point in the sequence, as many times as you like, by using the Pencil tool to enter a new singer in the control track. Click the Pencil tool at the point in the SINGER area of the control track at which you want the change to occur. This will once again bring up the singer menu from which you can select the singer to be inserted. The new singer icon will appear in the control track.


Customizing the Singer's Voice

Using the singer "as is" will produce characteristics most closely resembling the sound of the singer who created the databases you are using. You can, however, change a number of parameters to vary the voice over a fairly wide range via the Singer Editor application that was automatically installed with the VOCALOID2 application. Launch the Singer Editor from your computer's START -> Programs -> VOCALOID2 menu. Most of the singer parameters can also be used to apply real-time variations via the control track, "animating" your vocal tracks and simulate the expressive delivery of a live singer.

Each voice in the Singer Editor singer list has its own set of voice parameters that are displayed in the Voice Parameters sub-window when a singer is highlighted (single click) in the list. All parameters in the Voice Parameters sub-window in the singer window have a +/- 127 range, with 0 being the default "normal" setting. The [Reset Parameters] button resets all parameters to their default settings. You can edit parameter values by either clicking the increment or decrement arrows to the right of each value, or use normal text-editing procedures to directly edit the value. Changes will take effect after you close the Singer Editor application.

Singer Editor dialog window

Breathiness

As the name implies, this parameter can be used to increase or decrease the breathiness of the voice. Higher values add more breath to the voice.

Brightness

Boosts or cuts the voice's high-frequency content. Higher values produce a brighter, more "present" sound, while lower values produce a more mellow effect. Lower values can effectively simulate gently delivered or even whispered phrases.

Clearness

The effect of this parameter is similar to the "Brightness" parameter described above, but the timbre of the voice is affected in a different way. Higher values produce a sharper, clearer sound while lower values produce a more muted sound.

Gender Factor

Shifts the formant structure of the voice, changing the voice's character over a broad range. Higher values produce deeper, male timbres, while lower values can sound more female or, in some cases, more "chipmunk-like."

Opening

This parameter simulates the way a singer can change tone by controlling the opening of his or her mouth. Higher opening values can produce a clear, open tone, while reducing the opening value can produce a less distinct tone.


Adding and Copying Singers

Singer Editor dialog window

You can use the [Add] and [Copy] buttons in the Singer Editor application to create new versions of the available voices that you can simply select and use when required.

When you click [Add] you can create a new voice based on an original voice provided with your VOCALOID2 Library. Use the "PC" (Program Change) field to select a new program change number from 0 to 127 for the voice to be added (each voice must have a different program change number), select a singer from the Original menu, enter a name for the new voice in the "Name" field, and click [OK] to add the voice. You can then edit the voice name by clicking on it in the singer list. Any parameter changes you make for the new voice will be retained with the voice so you can simply select and use the variations you create whenever you need them.

The [Copy] button lets you copy an original or edited voice, using a new program change number and voice name.


Entering and Editing Notes

You begin the creation of any VOCALOID2 sequence by entering the notes and lyrics to be "sung." The very first step is to enter the desired notes (pitches) of the desired length. Notes are entered at the desired locations in the VOCALOID2 sequencer track (see The Sequence Window -> Sequence Track) using the pencil tool. When the LENGTH and QUANTIZE parameters are set to "off" you can use the pencil tool to enter notes of any length at any location in the track by simply clicking and dragging the notes as required at the appropriate pitches. When a LENGTH value is selected notes will "snap" to multiples of the specified length as they are being drawn, and when a QUANTIZE value is selected the attacks of the notes entered will snap to the corresponding note alignment. The pitches of the horizontal bands in the sequence track correspond to the keys on the graphic keyboard to the left of the track. Duration can be judged by keeping an eye on the MEASURE ruler across the top of the track, and you can turn on the grid (see The Tool Bars -> The Edit Bar -> Show/Hide Grid) for an even more accurate reference if required. The current position (measure:beat:clock) of your cursor is also shown by the cursor position indicator above the sequence track.

  • Entering Notes
  • Deleting Notes
  • Stretching Notes
  • Moving Notes
  • Copying Notes
  • Quantize vs. Length


Entering Notes

There's also a "Note Fixed Length" item in the contextual menu that appears if you right-click in the sequence track area. This is "Off" by default, but if you select a fixed note length from the "Note Fixed Length" menu you can enter notes of the specified length by simply clicking briefly in the sequence track. The beginning of the note is placed at the point at which you click.

Enter the basic notes to be sung by your singer, leaving appropriate spaces for rests. Keep in mind, however, that notes in the same track cannot overlap.


Deleting Notes

Notes you have entered can be individually deleted either by clicking them with the eraser tool, or single-clicking with any other tool to highlight them and then pressing the [Delete] key on your computer keyboard. You can specify a range of notes to be deleted by clicking and dragging with the pointer tool to highlight all of the desired notes.


Stretching Notes

Individual notes can be stretched to make them longer (as long as doing so doesn't cause them to overlap another note) or shorter as required. The Length setting (see The Tool Bars -> The Measure Bar -> Length) determines the beats to which the note release will snap when a note is stretched. Position the cursor over the beginning or end of a note so that the red double-ended arrow stretch symbol appears (<->), then click and drag the note to resize as required.


Moving Notes

Position the cursor over the body of a note and it will change to the hand pointer which you can use to click and drag the note to a different horizontal position (as long as it doesn't overlap another note), or to a different pitch. You can also use this method to move a group of highlighted notes. The QUANTIZE setting (see The Tool Bars -> The Measure Bar -> Quantize) will determine to which beats the moved note(s) will snap.


Copying Notes

You can copy single notes or a group of highlighted notes to a different location (time and/or pitch) by grabbing and dragging with the hand pointer while holding the [Ctrl] key on your computer keyboard. As with the move operation described above, the QUANTIZE setting (see The Tool Bars -> The Measure Bar -> Quantize) will determine to which beats the copied note(s) will snap.

You can also use the standard edit commands - cut, paste, and copy (see The Menus -> Edit) - to copy or cut and paste single or multiple notes. In this case the notes will be pasted to the current location of the position indicator.


Quantize vs. Length

At first the QUANTIZE and LENGTH functions (see The Tool Bars -> The Measure Bar -> Quantize, Length) may seem similar, and therefore somewhat confusing. Actually, they are very similar in that they align notes in the sequence track to the nearest specified beats, but the difference is in whether that alignment applies to the beginning (attack) or to the end (release) of the notes. The QUANTIZE setting affects where the beginnings of the notes will be placed in the sequence track. If you want all notes you enter to fall precisely in 8th-note beats, for example, make sure that QUANTIZE is set to 1/8. Then when you use the pencil tool to enter a note its attack will precisely snap to the nearest 8th note beat even if your aim is a little off.

The LENGTH function, however, applies to the ends (releases) of notes. Length therefore determines the beats to which the ends of notes will snap when click-and-drag entered or stretched.


Entering and Editing Lyrics

The default lyric is automatically entered for each note ("Ooh" when entering English, for example). You can then double-click on and edit the default lyric for each note to create the desired phrase. If you have selected an English singer use standard English input and editing procedure to enter English lyrics. You can press the [TAB] key to jump directly to the next note after entering the text for a note.

In some cases a single word will correspond to a single note, but in many cases words will be sung across two or even more notes, one syllable per note. In such cases simply type a hyphen following the syllable that needs to connect to a syllable on the following note.

In the above example - "She's such a lady" - the first three words ("She's such a") correspond to individual notes, while "la-dy" is sung using two notes: the "la-" syllable on the first and the "dy" syllable on the second.

If a Japanese singer has been specified use standard Japanese input and editing procedures to enter Japanese lyrics. Japanese can be entered using Romaji, Hiragana, or Katakana input methods. You can press the [TAB] key to jump directly to the next note after entering the text for a note.

When entering Japanese lyrics for a Japanese singer please note that any lyrics that have been entered in Romaji (Roman characters) will be sung using Japanese Katakana pronunciation.


Note Properties 1 - Adding Vibrato and Expression

Vibrato and expression parameters can be conveniently accessed via the Note Property window. The Note Property window for the currently selected note in the sequence track can be opened by selecting "Note Property" from the Lyric menu. You can also right-click on the note and select "Note Property" from the contextual menu that appears.

Note Property window

  • Vibrato
  • Expression


Vibrato

Click VIBRATO in the Note Property window to open the Vibrato Property window. An alternative method of opening the Vibrato Property window is to double-click on the vibrato section of the expression symbol under the note.

If you use the latter method you only need to click the [OK] button in the Vibrato Property window to apply the changes. But if you access the Vibrato Property window via the Note Property window you will also need to click the [OK] button in the Note Property window when you have finished editing to apply the changes.

Vibrato Property window

Vibrato Length

Sets length of vibrato. Default value of 66% sets vibrato for the last 66% of the note. If you change this to 100%, for example, vibrato will occur for the full length of the note. On the other hand a setting of 30% would apply vibrato to only the last 30% of the note.

Vibrato Type

Load a basic vibrato type from the drop-down menu. The depth and rate profiles of the selected type will appear in the Depth and Rate windows below.

Depth and Rate Envelopes

These graphs or "envelopes" allow you to apply real-time variation to the vibrato. You can change the depth and/or rate (speed) of the vibrato over the duration of the note. The colored region (green) is the current profile for the corresponding vibrato parameter. The left edge of the graphs corresponds to the beginning of the vibrato, and the right edge of the graphs corresponds to the end of the vibrato. The range is from 0 (minimum) through 64 (median) to 127 (maximum). Click and drag in the graph window while the "+" cursor is showing to create linear variations as required.

Other tool options and edit functions can be selected from the contextual menu that opens when you right-click in the graph area. The Eraser tool can be clicked and dragged along a section of the graph, creating a flat segment with a value corresponding to the point at which you began dragging (dragging from left to right).

creating a flat section

The pointer tool can be used to drag-select a section of the graph, after which you can press the [Delete] key on your computer keyboard to create a flat section in much the same was as the eraser tool - i.e. the value of the flat section is determined by the value at the leftmost edge of the selected section.

Note that the profiles cannot be edited while the "Non Vibrato" type is selected in the Load menu.


Expression

Click EXP in the Note Property window to open the Note Expression Property window. An alternative method of opening the Note Expression Property window is to double-click on the expression symbol under the note.

If you use the latter method you only need to click the [OK] button in the Note Expression Property window to apply the changes. But if you access the Note Expression Property window via the Note Property window you will also need to click the [OK] button in the Note Property window when you have finished editing to apply the changes.

Note Expression Property window

Template

Load a basic expression type from the drop-down menu. The parameters settings in the window will change accordingly.

Pitch Control

Bend Depth slider (0 ~ 100%)
Bend Length slider (0 ~ 100%)

These two parameters specify the pitch variation that will occur at the beginning of the note. If both sliders are set all the way to the left (0%) no pitch variation will occur. Higher Bend Depth percentages create a pitch variation that covers a greater pitch range, and higher Bend Length percentages create longer pitch variation.

Add portamento in rising movement

When the pitch of a note is higher than that of the preceding note, a smooth upwared "portamento" pitch slide will occur at the beginning of the note.

Add portamento in falling movement

When the pitch of a note is lower than that of the preceding note, a smooth downward "portamento" pitch slide will occur at the beginning of the note.

Dynamics Control

Decay slider (0 ~ 100%)
Accent slider (0 ~ 100%)

These two sliders specify the "shape" of the expression at the beginning of the note. Accent increases or decreases the amplitude of the expression, while Decay increases or decreases the length of the decay into the sustained portion of the note following the initial expression portion. The height of the peak on the graphic expression symbol below the note will change to approximately reflect the Accent level.


Note Properties 2 - Phoneme Functions

"Phoneme" is a linguistics term that refers to a small set of speech sounds that are distinguished by the speakers of a particular language. The VOCALOID2 phoneme functions - transformation and editing - are the critical functions that turn typed lyric text into synthesis data that sounds like natural vocals when played back.

  • Phoneme Editing
  • The User Word Dictionary


Phoneme Editing

If the normal phoneme transformation doesn't produce the pronunciation you require, you can edit the phonetic symbols for the phoneme via the Note Properties window to change the actual phoneme transformation rule for the problem note(s).

To edit the phonetic symbols first click on the current phonetic symbols in the Note Properties window to select them for editing.

Phoneme editing on Note Property window

Normally you will want to change the phonetic symbol or symbols used to describe the pronunciation of the corresponding lyric. To do this simply edit the symbols as required while referring to the reference chart (see Phonetic Symbol Charts). Each note/lyric may require one or more phonetic symbols to describe its punctuation. When more than one phonetic symbol is required the symbols must be separated by spaces. When the phonetic symbols have been edited as required press the [ENTER] key on your keyboard to actually enter the change. When this is done the PROTECT checkbox below the phonetic symbols will automatically be checked to prevent the edited pronunciation from reverting to the default pronunciation if an overall phoneme transformation is executed later.

A more direct way to edit the phonetic symbols is via the notes in the sequence track: double-click the lyric in a note to select it for editing, and then press the down key [V] on your computer's keyboard while holding the [alt] key. The current phonetic symbols for the lyric will appear in place of the normal lyric spelling, and you can edit them in the same way as in the Note Properties window. Enter the change and press [Enter] on your computer keyboard. Protect is automatically applied to changes you make in this way, and you will need to enter the phoneme editor to remove protection if necessary.

Phoneme editing on Sequence Track

A handy phonetic symbol and pronunciation sample chart is provided in the Appendix of this manual (see Phonetic Symbol Charts).


The User Word Dictionary

VOCALOID2 comes with a basic dictionary that produces appropriate pronunciations for most lyrics, but the initial dictionary might not be able to transform all of the words you want to use in your lyrics. Any additional words can be entered in the VOCALOID2 User Word Dictionary so you have unlimited freedom to expand VOCALOID2's vocabulary to match your lyrical requirements.

Open the VOCALOID2 User Word Dictionary by clicking the User Word Dictionary item in the Lyrics menu (see The Menus -> Lyrics).

User Word Dictionary window

Create a New User Dictionary

Select (new) from the drop-down "User Dictionary" list at the top of the User Word Registration window, enter an appropriate dictionary name in the Create User Dictionary dialog that appears, then click [CREATE].

Add New Words and Pronunciations

Once you have created a new user dictionary or selected a previously-created user dictionary you can add new words and pronunciations as required. Type your word into the "Word" space. If the [AUTO] button is engaged the appropriate phonetic symbols will automatically be generated and entered in the "Pronunciation" space for you. You can then edit the phonetic symbols as required if the automatically generated symbols don't produce the desired results. If the [AUTO] button is not engaged when you enter your word, you will have to enter the appropriate phonetic symbols in the Pronunciation space manually. The available phonetic symbols and the corresponding pronunciation samples are shown in the chart on the right side of the window for convenient reference. When the new word and pronunciation have been entered as required, click the [Add] button to actually register them in the dictionary. Registered words and their corresponding pronunciations are displayed in the list in the upper area of the User Word Registration window.

Editing Existing Entries

To edit an existing entry in the User Word Dictionary double-click the entry in the registered word list. The word and its corresponding phonetic symbols will automatically be entered in the Word and Pronunciation spaces near the bottom of the window where they can be edited as required. After editing click the [Add] button to register the changes.


Expressive Control

The VOCALOID2 control track can be used to create dynamic changes in a number of important parameters. You can, for example, use the control track to program subtle pitch bends like those that a live singer might use to add expression to his or her performance. You can also apply dynamic variations to all of the singer's voice parameters, producing shifts in sound a texture that can bring you vocal track to life.

The control track is capable of displaying the control curves for two control parameter at a time, as determined by the "eye" button/icons to the left of each control parameter. That way you can edit one parameter while comparing the curve you're creating with that of another parameter. The horizontal axis of the control track corresponds to time in the sequencer track above it, so a control change in the control track corresponds to the measure:beat:clock location and note immediately above it in the sequence track. The vertical axis of the control track corresponds to the value at that point for the currently selected control parameter. Higher control points produce higher values.

  • Editing a Control Track
  • The Control Parameters


Editing a Control Track

Select a Control parameter To View or Edit

Select a Control parameter To View or Edit

Click the abbreviation of the parameter you want to edit in the menu down the left edge of the control track area. The selected parameter will be highlighted in blue. You can only select one control parameter to edit at a time, but you can select a second parameter to view for comparison via the view icons View icon to the left of the control parameters. Select the parameter you want to view or edit.

Edit the Selected Parameter

The arrow, pencil, line, and eraser tools can be used to edit data in the control track. Choose the tool that most easily produces the type of control change or curve you need. In addition to drawing curves and lines using the tools, you can use the standard edit-menu functions to, for example, copy and paste a control curve from one location on a track to another (see The Control Track).

Pencil Tool

The pencil tool allows you to click and drag to create virtually any control curve you like. This method is best when you want to create complex control changes. When using the pencil tool while the VEL (Velocity) parameter is selected a shaded curve corresponding to the curve you have drawn will appear while you are dragging, then the velocity bars will automatically be adjusted to match the curve when you release the mouse button. For all other parameters the pencil tool directly draws the control curve.

You can also click and hold the pencil tool briefly at any point in the control track to automatically draw a flat line of that value up to the next value change in the curve.

Line Tool

When you click and drag in the control track when the line mode is selected you will see a "rubber band" line connecting the point at which you initially clicked and the point at which you drag to. The velocity bars or parameter curve will automatically be adjusted to match the line when you release the mouse button.

Eraser Tool

For any control parameter other than VEL (Velocity), the eraser tool can be clicked and dragged along a section of the curve, creating a flat segment with a value corresponding to the point at which you began dragging (dragging from left to right). Not, however, that if you click on a velocity bar with the eraser tool that bar and the associated note will be erased.

Pointer Tool

The pointer tool can be used to drag-select a section of a control curve. You can then cut and paste the selected curve segment to the current position marker location. After selecting a curve segment with the pointer tool you can also press the [Delete] key on your computer keyboard to create a flat section in much the same was as the eraser tool - i.e. the value of the flat section is determined by the value at the leftmost edge of the selected section.

Right-click Tip: Right-click in the control track for conveniently accessible tool selection (see The Tool Bars -> The Edit Bar) and edit items (see The Menus -> Edit).


The Control Parameters

The parameter abbreviations and their meanings are as follows:

Parameter | Full Name | What It Is
VEL | Velocity | Velocity primarily affects the length of consonants at the beginnings of notes. Higher velocities result in shorter consonants - particularly "s" and "f" sounds - subjectively increasing the attack of the lyric. Note velocity control bars cannot be created using the pencil tool. They are created automatically whenever a note is entered in the sequence track, one per note. You can edit and select the note velocity bars using the pointer tool (click on a bar and drag up or down), and you can use the pencil or line tool to draw a curve or line which the included points will snap to when the mouse button is released.
DYN | Dynamics | This parameter gives you extensive control over the dynamics (loudness, softness, crescendo, diminuendo) of your singer. You can use the pencil tool to draw detailed dynamic expression, and the line tool to draw smooth level changes. The default "curve" is a straight line at the medium dynamic value.
BRE | Breathiness | All of the parameters described in the "Customizing the Singer's Voice" section (see The Singer -> Customizing the Singer's Voice) can be dynamically controlled via the control track. Select the desired parameter in the control menu, then use the appropriate tool(s) to enter and edit the control curve as required.
BRI | Brightness
CLE | Clearness
OPE | Opening
GEN | Gender Factor
POR | Portamento Timing | Adjusts the position of the portamento (the point at which the pitch changes).
PIT | Pitch Bend | The control range in the PIT control track is from -8192 to 8191. The central "0" value corresponds to no pitch change. With the maximum PBS (Pitch Bend Sensitivity) setting (below) the overall pitch bend range allows pitch variation of }2 octaves. Use the pencil or line tool to enter the control curve, and edit as required.
PBS | Pitch Bend Sensitivity | Determines to what degree pitch bend value changes (above) will affect the produced pitch. At the maximum setting of "24" (24 semitones) the full pitch bend value range will produce pitch variation of }2 octaves. A setting of "12" allows full-range pitch bend of }1 octave, and so on. This parameter makes it easy to use the full pitch scale to create even delicate pitch variations.
SINGER | Singer | You can change the singer at any point in the sequence, as many times as you like, by using the Pencil tool to enter a new singer in the control track. Double-click the pencil tool at the point in the SINGER area of the control track at which you want the change to occur. This will bring up the singer menu from which you can select the singer to be inserted (see The Singer -> Selecting a Singer). The new singer icon will appear in the control track.


Using VOCALOID2 With Other Music Applications

  • Exporting Wave Files
  • ReWire™ Synchronization
  • The VOCALOID2 VST Instrument (VSTi)
  • The Real-time VOCALOID2 VST Instrument (VSTi)
  • Importing MIDI (SMF) Files


Exporting Wave Files

To export your VOCALOID2 sequence as a WAV (audio) file that you can import into and play with other applications as required, select "Wave File..." from the File/Export menu. The "Export to Wave File" dialog window will appear allowing you to name and save the WAV file. Specify the location to which you want to save the file, enter the file name, and click [SAVE].

Wave file details can be specified in Audio Settings tab of the Preferences window accessed via the Settings menu (see The Menus -> Setting). If your sequence has multiple tracks you can specify whether only the currently selected track is exported ("Current Track"), or all tracks are exported as a single WAV file ("Master Track"). In either case the level and pan settings in the VOCALOID2 Mixer window affect the levels and stereo position in the exported WAV file. There is also a "Mono" option which, when selected, causes two mono files to be exported - the output level of the files will depend on the setting of the pan control in the mixer window (see The Mixer Window).


ReWire™ Synchronization

VOCALOID2 can be synchronized with any sequencer or music application that is compatible with the ReWire™ protocol. Here's the basic procedure for setting up ReWire™ synchronization:

  1. Always launch the host application first.
  2. Launch the VOCALOID2 Editor once the host application is up and running.
  3. From the VOCALOID2 Setting menu select Preference > Audio Settings, and turn either the ReWire - Master or ReWire - All Tracks radio button in the Output section on (see The Menus -> Setting -> Preference), then click [OK]. It is also possible to assign individual tracks and the output of the master fader to your ReWire™ application via the VOCALOID2 Mixer window (see The Mixer Window).

When this has been done you should be able to select VOCALOID2 via the host's device or ReWire™ menu (the actual nomenclature used will depend on the host application - refer to the host application owner's manual for information on ReWire™ if necessary). You should be able to achieve accurate synchronization when operating the transport controls in either VOCALOID2 or the host application. Also refer to The Tool Bars -> The Transport Bar -> Send Info to ReWire Host.


The VOCALOID2 VST Instrument (VSTi)

If you have a sequencing/audio application that is capable of using VST instruments, and you installed the VOCALOID2 VSTi plug-in during installation, you can conveniently use VOCALOID2 as a VST instrument. The basic procedure for using VOCALOID2 as a VST instrument is as follows:

  1. Export your VOCALOID2 sequence as a MIDI file (select "midi" file type in the VOCALOID2 Export dialog window).
  2. Import the VOCALOID2 MIDI file into your VSTi-compatible sequencer.

    A Note About VOCALOID2 MIDI Files:

    Midi files created by VOCALOID2 use special commands and do not include standard note-on/off events. VOCALOID2 MIDI files can therefore only be used to control VOCALOID2.

    Also note that the control data for VOCALOID2 is being sent early to allow for processing and early vocal sounds, so there will appear to be a delay between the MIDI events in the MIDI track and the sounds produced. This is normal.

  3. Select the VOCALOID2 VST instrument from the appropriate menu or window in your VSTi-compatible application (refer to your application's owner's manual for further information if necessary).
  4. Make sure the output of the MIDI track is assigned to VOCALOID2 VSTi.

VOCALOID2 should now function as a VST instrument that can be combined with other sequenced and/or audio tracks for further production.

The parameters available in the VOCALOID2 VST instrument are exactly the same as those available in the Singer Editor window (see The Singer -> Customizing the Singer Voice), but unlike the same parameters in the VOCALOID2 Editor the VST instrument parameters can be adjusted in real time.


The Real-time VOCALOID2 VST Instrument (VSTi)

If you have a sequencing/audio application that is capable of using VST instruments, and you installed the VOCALOID2 VSTi plug-in during installation, you can conveniently use VOCALOID2 as a real-time VST instrument (you can play lyrics you enter into the VOCALOID2 real-time VST instrument from a MIDI keyboard or other type of controller in real time).

The basic procedure for using VOCALOID2 as a real-time VST instrument is as follows:

  1. Select the VOCALOID2_Realtime VST instrument from the appropriate menu or window in your VSTi-compatible application (refer to your application's owner's manual for further information if necessary).
  2. Make sure the output of the MIDI track is assigned to VOCALOID2_Realtime VSTi.
  3. The VOCALOID2_Realtime VST instrument main window may or may not open automatically. Refer to your application's owner's manual for details. You want the VOCALOID2_Realtime VST instrument main window to be open.

    Real-time VSTi window

  4. Normally, the next thing you'll want to do is to enter the lyrics you want the VOCALOID2_Realtime VST instrument to sing. To do this click the [LYRICS EDIT] button in the main window, and type a word or phrase into the text box that appears.

    Lyrics Edit window(1)

  5. Press [Enter] on your computer keyboard to break the phrase you entered down into phoneme-size chunks.

    Lyrics Edit window(2)

  6. Click the [aA] button to send the phoneme to the VOCALOID2 synthesis engine, and wait until the hourglass icon disappears, indicating that the data has been properly sent.
  7. Assuming that your MIDI keyboard or controller is properly connected to the computer, you should now be able to play the lyrics you entered in real time. One phoneme is played per note played on the MIDI keyboard or controller. When the end of the phrase is reached the next note will play the first phoneme, and so on. If you watch the text in the text box as you play, you'll notice that then next lyric to be played appears white while all others are displayed in blue.

The Mono and Poly Modes

The default mode is last-note priority mono. If you play a note while holding the previous note, the pitch will change accordingly but the vowel segment of the same phoneme will continue playing. This can be a useful feature for a range of playback effects.

You can switch to the polyphonic mode via the main window POLY button if you want play chords. Maximum polyphony in this mode is 4 notes. When you play a chord the same phoneme is played for all notes, even if you play an arpeggio. As long as at least one note remains held the same phoneme will be played. The next phoneme will be played only after all notes have been released.

The Main Window Sliders

The BREATHINESS, BRIGHTNESS, CLEARNESS, OPENING, and GENDER parameters available in the VOCALOID2_Realtime VST instrument main window are exactly the same as those available in the Singer Editor window (see The Singer -> Customizing the Singer Voice), but unlike the same parameters in the VOCALOID2 Editor the VST instrument parameters can be adjusted in real time.

The remaining two sliders control the length of the first and last consonants in each phoneme. The DELAY slider adjusts the length of the consonant at the beginning of the note, while the DECAY slider adjusts the length of the consonant at the end of the note. The reason for doing this is that consonants are usually pronounced slightly before the beat. Setting an appropriate consonant length makes it easier for the player to "feel" and stay on the beat. The numeric values in the sliders are milliseconds. However, the FADER and FIXED buttons in the main window affect operation of the DELAY slider as follows: When FADER is selected the DELAY slider sets the consonant length as described above, but when FIXED is selected the preset consonant length, based on the timing of an actual singer, is used. In many cases the FIXED setting will provide the most natural overall sound.

Other Lyrics Editor Features

The Lyrics Edit window has a few more useful features that you'll need to know about.

Phoneme Forward/Backward Buttons

Above the text box are a group of arrows that can be used to select the next phoneme to be played. The Forward/Back buttons buttons move backward or forward one phoneme each time they are clicked (the selected phoneme will be displayed in white), and the [image] button returns to the first phoneme in the phrase.

Singer Select

The Singer Select menu above the text box allows you to select the singer that will sing the lyrics in that tab. You can create other tabs to hold other lyrics, as we'll explain below.

Phoneme Edit

You can double-click on any phoneme in the text box to open the corresponding phoneme edit window. Phonemes can be edited via this window in the same was as described in Note Properties 2 - Phoneme Functions -> Phoneme Editing. You'll need to check the PROTECT checkbox if you don't want the phonetic spelling you've entered to be changed by automatic phoneme transformation.

Phoneme Edit dialog window

Tabs

You can create up to 16 tabs that can be used to hold different phrases by right-clicking a tab and selecting "Add Tab." Click any available tab to select the related text box. Lyrics are entered in the same way for all tabs, and you can select a different singer for each tab. This allows you to create a stock of phrases that you can select quickly and play via your MIDI keyboard or controllers.

The arrow buttons [image] next to the tabs make it easy to move from tab to tab, or to the first or last tab. The [image] buttons move backward or forward one tab each time they are clicked, and the [image] and [image] buttons select the first or last tab in the row, respectively.

Undo

The bent arrow button near the bottom left corner of the Lyrics Edit window is an "Undo" button that can be used to undo most operations.

Save/Open Button

The last button in the lower left corner of the Lyrics Edit window is a Save/Open button that can be used to save your lyrics for later recall when needed. Click this button and select "Save" from the menu that appears to save the lyrics stored in all tabs to a file (.vlf file extension). Select "Open" if you want to load a previously saved lyric file.

Settings

The Settings window includes a number of settings that affect VOCALOID2_Realtime operation. Make the required settings and click the [OK] button to close the window.

Setting dialog window

Pitch Bend Sensitivity

Sets the sensitivity of the VOCALOID2_Realtime VST instrument to incoming MIDI pitch bend data. The higher the setting, the greater the amount of pitch bend produced.

Send lyrics to VST host immediately in changing tabs.

Normally when you switch tabs you need to click the [aA] button to send the lyrics data from that tab to the VOCALOID2 synthesis engine. When this checkbox is checked the VOCALOID2_Realtime VST instrument will send the data for you automatically whenever you select a new tab.

Vibrato Settings

The "Vibrato Type" and "Vibrato Rate" settings affect both vibrato applied manually from the MIDI keyboard or controller modulation wheel and vibrato applied automatically. Vibrato will be applied automatically if the "Enable Automatic Vibrato" checkbox is checked. Automatic vibrato is also affected by the "Vibrato Depth" and "Delay" parameters below the "Enable Automatic Vibrato" checkbox. The "Delay" parameter specifies the delay before the vibrato begins after the initial expression of the note.

Memory Settings

These settings optimize performance of the VST instrument according to the amount of RAM you have installed in your computer. Click the radio button that corresponds to the amount of RAM you have.

Singer Properties

This button takes you to the same Singer Properties window that appears when you select Singer Properties from the VOCALOID2 Editor Settings menu. These parameters are shared between the VOCALOID2 Editor application and the VOCALOID2_Realtime VST instrument. Also see The Singer -> Customizing the Singer Voice

MIDI Reset

Clicking this button resets the MIDI output, and can be used to terminate hung notes in some cases.

About

Displays the VOCALOID2 splash screen.


Importing MIDI (SMF) Files

You can import standard SMF (Standard MIDI File) files you have created in another sequencer application and use the notes as the basis for VOCALOID2 tracks. Imported parameters include MIDI note on, note off, velocity, and pitch bend data. Since VOCALOID2 sequences can have up to 16 tracks, multitrack SMF files containing up to 16 tracks can be imported in one operation.

SMF files are imported via the standard File menu "Import ..." dialog. When you open an SMF file, however, the SMF Options window will appear allowing you to choose which tracks you want to import. Simply check or uncheck the tracks as required, then click [OK] to import the file.


Appendix

  • Phonetic Symbol Charts
  • Shortcut Keys
  • Troubleshooting Q & A
  • MIDI Data Format for VOCALOID2 VSTi
  • MIDI Data Format for Real-time VOCALOID2 VSTi


Phonetic Symbol Charts

  • VOCALOID2 Phonetic Symbol Table (English)
  • VOCALOID2 Phonetic Symbol Table (Japanese)


VOCALOID2 Phonetic Symbol Table (English)

Symbol | Sample | Comments
Symbol | Sample | Comments
Symbol | Sample | Comments
@ | the sun | (schwa)
V | strut |
e | them |
e | them |
I | kit |
i: | beef |
{ | trap |
O: | taught |
Q | lot |
U | put |
u: | boot |
@r | maker |
eI | pay |
aI | buy |
OI | boy |
@U | oat |
aU | loud |
I@ | beer |
e@ | bear |
U@ | poor |
O@ | pour |
Q@ | star |
w | way |
j | yellow |
b | cab |
d | bad |
g | bag |
bh | big beginning of syllable, with aspiration |
dh | dog | beginning of syllable, with aspiration
gh | god | beginning of syllable, with aspiration
dZ | jeans |
v | vote |
D | their |
z | resort |
Z | Asia |
m | mind |
n | night |
N | long |
r | red |
l | feel |
l0 | list | beginning of syllable
p | dip |
t | sit |
k | rock |
ph | peace | beginning of syllable, with aspiration
th | top | beginning of syllable, with aspiration
kh | kiss | beginning of syllable, with aspiration
tS | touch |
f | feel |
T | think
s | sea |
S | share
h | hat |


VOCALOID2 Phonetic Symbol Table (Japanese)

Symbol | Sample | Comments
a | ai |
i | ima |
M | uta |
e | egao |
o | omoi |
k | kokoro |
k' | kibou | followed by /i/
g | genki |
g' | giri | followed by /i/
N | ongaku | nasalized /g/
N' | kagi | followed by /i/, nasalized /g/
s | sadame |
S | shiawase |
z | kizu |
Z | iji |
dz | zuboshi | beginning of word
dZ | jibun | beginning of word
t | taido |
t' | baraeti | followed by /i/
ts | tsuki |
tS | inochi |
d | daichi |
d' | merodi | followed by /i/
n | namida |
J | nioi | followed by /i/
h | hana |
h\ | mahou | inside a word
C | hinagiku | followed by /i/
p\ | hushigi |
p\' | fianse |
b | boku |
b' | bijin | followed by /i/
p | posuto |
p' | piano | followed by /i/
m | manako |
m' | mirai | followed by /i/
j | yume |
4 | sora |
4' | rikutsu | followed by /i/
w | watashi |


Shortcut Keys

Most menu shortcut keys are listed in the menus themselves, so please refer to the menus for those shortcuts. In cases in which the shortcut consists of a control-key + modifier key combination, the combination is listed to the right of the corresponding item in the menu. All other menu shortcuts comply with standard Windows procedure: if a character in a menu is underlined, hold the [ALT] key and press that character key to open the menu. You can then press the underlined character in the menu items to select the corresponding item.

The remaining shortcut key operations are as follows:

Transport Shortcuts

Fast reverse | Numeric keypad "-" (minus) key. | Jump backward one measure.
Fast Forward | Numeric keypad "+" (plus) key. | Jump forward one measure.
Play/Stop | Space key or numeric keypad Enter key. | Start playback if stopped, or stop playback if playing.
Stop/Top | Main keyboard period key or numeric keypad period key. | Stops playback, or if playback is stopped jumps to the beginning of the sequence or the start marker (if active).
Top | Period key. | Go to the start of the sequence or start marker.

Edit Tool Shortcuts

Pencil | Ctrl + W | Switches to the pencil tool if the pointer tool is selected, or to the pointer tool if the pencil tool is selected.
Eracer | Ctrl + E | Switches to the eraser tool if any other tool is selected, or to the pointer tool if the eraser tool is selected.

Miscellaneous

Show/hide mixer | F3 | Alternately shows or hides the mixer window.
Show/hide transport bar | F4 | Alternately shows or hides the transport bar.
Enter lyric edit mode | F2 | Click an editable lyric once and then press F2 to enter the edit mode. Same overall effect as double-clicking.
Lyric/phoneme edit toggle | Alt+(up arrow)/Alt+(down arrow) | Toggles between lyric and phoneme editing when a note lyric is selected for editing.
Select next note | Tab | Selects the next note in edit mode. Lyric or phoneme edit mode is maintained.
Select previous note | Shift+Tab | Selects the previous note in edit mode. Lyric or phoneme edit mode is maintained.
Select next track | Ctrl+Pg dn | Selects the next track tab.
Select previous track | Ctrl+Pg up | Selects the previous track tab.
Select next control parameter | Ctrl+Alt+Pg dn | Selects the next control track parameter.
Select previous control parameter | Ctrl+Alt+Pg up | Selects the previous control track parameter.


Troubleshooting Q & A

Installation and Activation Problems

The software worked fine for a while after installation, but then stopped working. What happened?
Your temporary activation period may have expired (the length of the temporary activation period will depend on the distributor of your software package). You will need to carry out the permanent activation procedure (see Activation).
I want to re-install my operating system, and then re-install VOCALOID2 on the same computer. What will happen to the activation?
As long as you're using the same computer VOCALOID2 can be re-installed as many times as you like.
Can I re-install and use VOCALOID2 on a different computer than the one I originally activated it on?
VOCALOID2 is licensed for use on one computer only. If you need to install the software on a different computer please contact the distributor of your software package.

Note Editing Problems

I entered a number of notes but some or all are "grayed out" and won't play.
Some or all notes may be overlapping. You may need to adjust the positions of the notes by hand, or use the Normalize Object command located in the Job menu (see The Menus -> Job).
I imported an SMF file I made using another program, but some or all of the notes are "grayed out" and won't play.
Some or all notes may be overlapping. Each VOCALOID2 track is strictly monophonic and overlapping notes won't play. Use the Normalize Object command located in the Job menu (see The Menus -> Job).
When I try to enter notes a strange "prohibited" mark appears beside the cursor and I can't enter any notes.
You are probably trying to enter notes in the pre-measure area (the negative-numbered measures before measure "1"). You can only enter notes from measure 1 onwards.
The notes don't appear to be overlapping and yet they are grayed out.
The displayed and actual positions of the notes may vary slightly depending on the Quantize and Length settings. Either change the Quantize and Length settings, or use the Normalize Object command located in the Job menu (see The Menus -> Job).
I get no sound when I enter short notes.
The same would happen with a human singer. VOCALOID2 needs notes that are long enough for it to sing.
I shortened some rests between notes and ended up with a continuous note.
Once again, the same would happen with a human singer. VOCALOID2 needs time to respond.

Lyric Editing Problems

I entered the phonetic symbols myself, but now I get no sound at all.
The phonetic symbols within each note must be separated by spaces. Also, only one syllable can be entered for each note. If a note has no syllable, or more than one syllable, it will produce no sound.

Synthesis Problems

I get no sound at all!
Check everything from your selected audio device to your physical audio connections. If you have more than one audio device installed in your computer, the software may be assigned to the wrong device. Check your AUDIO > Device c settings in the Settings menu.
After entering some lyrics, I changed the singer and now I get no sound.
You may have switched to a singer of a different language. Phonetic symbols that do not apply to the language of the currently selected singer will be ignored, and as a result you will get no sound.
I tried using a MIDI file produced by the VOCALOID2 Editor with another tone generator, but was not able to produce any sound.
VOCALOID2 uses special MIDI messages that are different from the standard note on and off messages used by normal tone generators. VOCALOID2 MIDI data cannot be used to drive conventional tone generators.
If the VOCALOID2 Editor tempo and/or time signature is different from that of my host sequencer, will the two applications synchronize properly?
Tempo and time signature differences can not be automatically adjusted. Make sure the tempo and time signature of the VOCALOID2 Editor and your host sequencer match.


MIDI Data Format for VOCALOID2 VSTi

  • Channel Message
  • System Exclusive Message - Not Used.
  • NRPN & Data Entry for VOCALOID2


Channel Message

  1. Note on/off - 9n/8n
    Not Used (see also VOCALOID2 Note Message)
  2. Control Change - Bn
    1. Bank Select : MSB/LSB 00/20
      Not Used (see also VOCALOID2 Bank Select (MSB/LSB))
    2. Data Entry : MSB/LSB 06/26
      Used in combination with NRPN LSB/MSB to represent note, lyric and expression information.
      (see also NRPN & Data Entry for VOCALOID2)
    3. Channel Volume : 07
      Not Used (see also VOCALOID2 Channel Volume)
    4. Panpot : 0A
      Not Used (see also VOCALOID2 Panpot)
    5. Expression : 0B
      Not Used (see also VOCALOID2 Expression)
    6. Vibrato Rate : 4C
      Not Used (see also VOCALOID2 Vibrato Rate)
    7. Vibrato Depth : 4D
      Not Used (see also VOCALOID2 Vibrato Depth)
    8. Vibrato Delay : 4E
      Not Used
    9. Data Inc/Dec : 60/61
      Not Used
    10. NRPN MSB/LSB : 63/62
      Used to specify the following parameters
      (see also NRPN & Data Entry for VOCALOID2)
      MSB | LSB
      50 | 00~7F | VOCALOID2 Note Message
      51 | 00 | Begin of VOCALOID2 MIDI
      52 | 00 | End of VOCALOID2 MIDI
      53 | 01~02 | VOCALOID2 Program Change
      54 | 01~02 | VOCALOID2 Pitch Bend
      55 | 01~03 | VOCALOID2 Voice Change Parameters
      60 | 01~02 | VOCALOID2 Bank Select
      61 | 01~02 | VOCALOID2 Channel Volume
      62 | 01~02 | VOCALOID2 Panpot
      63 | 01~02 | VOCALOID2 Expression
      64 | 01~02 | VOCALOID2 Vibrato Rate
      65 | 01~02 | VOCALOID2 Vibrato Depth
      66 | Reserved
      67 | 01~02 | VOCALOID2 Pitch Bend Sensitivity
    11. RPN LSB/MSB : 64/65
      Not Used
  3. Program Change : Cn
    Not Used (see also VOCALOID2 Program Change)
  4. Pitch Bend : En
    Not Used (see also VOCALOID2 Pitch Bend)


NRPN & Data Entry for VOCALOID2

Most of the VOCALOID2 information is sent to the synthesis engine in combination with NRPN MSB/LSB (Bn 63 / Bn 62) and Data Entry (Bn 06 / Bn 26). Below is a detailed description:

  1. VOCALOID2 Channel Voice Message
    1. VOCALOID2 Note Message
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description omittable
      50 0 00 - 7F 00 - 7F
      DataEntry MSB :
      Version number
      DataEntry LSB :
      device number
               NO
      50 | 1 | 00 - 7F | 00 - 7F | Delay in millisec | NO
      50 2 00 - 7F - Note number NO
      50 3 00 - 7F - Velocity NO
      50 | 4 | 00 - 7F | 00 - 7F | Note Duration in millisec | NO
      50 5 00 - 03 -
      Note Location
      00 : Inside note chunk
      01 : Top of note chunk
      02 : End of note chunk
      03 : Top and End of note chunk
               NO
      50 06-0B - -
      Reserved
      00 : default
               YES
      50 0C 00 - 7F 00 - 7F Index of Vibrato DB
      MSB: ID_H
      00 : default
      LSB: ID_L
      00 : default
               YES
      50 0D 00 - 7F 00 - 7F
      MSB: Index of Vibrato Type
      00 : default (Not Used)
      LSB: Duration & Continuation parameter of vibrato
      00 : vibrato continued to next note
      01 : short
      7F : default : until the end of note
               YES
      50 0E 00 - 7F -
      Vibrato Delay
      00 : default
               YES
      50 0F-11 - -
      Reserved
      00 : default
               YES
      50 12 00 - 6b - Number of phonetic symbols in bytes NO
      50 13 00 - 7F (00 - 7F)
      DataEntry MSB :
      Phonetic symbol1
      DataEntry LSB :
      Consonant adjustment 1
               NO
      50 14 00 -7F (00 - 7F)
      DataE MSB:
      Phonetic symbol2
      DataEntry LSB :
      Consonant adjustment 2
               NO
      50 - 00 - 7F (00 - 7F) - NO
      50 pn 00 - 7F (00 - 7F)
      DataEntry MSB :
      Phonetic symbol
      DataEntry LSB :
      Consonant adjustment
               NO
      50 4F 00 - 7F -
      DataEntry MSB :
      00 : continue
      01 - 7E : Reserved
      7F : End of Phonetic symbols
               NO
      50 50 00 - 3C - MSB: v1mean in Cent/5 YES
      50 51 08 - 28 - MSB: d1mean in millisec/5 YES
      50 52 14 - MSB: d1meanFirstNote in millisec/5 YES
      50 53 1C - 78 - MSB: d2mean in millisec/5 YES
      50 54 0A - 3C - MSB: d4mean in millisec/5 YES
      50 55 00 - 32 - MSB: pMeanOnsetFirstNote in Cent/5 YES
      50 56 05 - 1E - MSB: vMeanNoteTransition in Cent/5 YES
      50 57 05 - 1E - MSB: pMeanEndingNote in Cent/5 YES
      50 58 00 - 03 - AddScoopToUpIntervals & AddPortamentoToDownIntervals
      00 : AddScoopToUpIntervals=False
      AddPortamentoToDownIntervals=False
      01 : AddScoopToUpIntervals=True
      AddPortamentoToDownIntervals=False
      02 : AddScoopToUpIntervals=False
      AddPortamentoToDownIntervals=True
      03 : AddScoopToUpIntervals=True
      AddPortamentoToDownIntervals=True
               YES
      50 59 00 - 64 - MSB : changeAfterPeak
      0x00: 0.0, 0x64: 0.5
      (linear value between 0.0 and 0.5)       		YES
      50 5A 00 - 64 - MSB : Accent
      0x00: -1.0, 0x32: 0.0, 0x64:+1.0
      (linear value between -1.0 and 1.0)       		YES
      50 5B-7E - -
      Reserved
      00 : default
               YES
      50 7F 0 - 7F -
      DataEntry MSB :
      00 : continue
      01 - 7E : Reserved
      7F : End of Note Message
               NO
      • A parameter in which "omittable=YES" does not have to be transferred.
      • The message is confirmed when NRPN LSB = 7F and DataEntry MSB = 7F are received.
  2. VOCALOID2 Control Change
    1. VOCALOID2 Bank Select (MSB/LSB)
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      60 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      60 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      60 02 00 - 7F (00-7F)
      Language type:
      DataEntry MSB = Bank Select MSB
      DataEntry LSB = Bank Select LSB
      DataEntry LSB is optional.
    2. VOCALOID2 Channel Volume
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      61 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      61 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      61 02 00 - 7F - Volume value
    3. VOCALOID2 Panpot
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      62 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      62 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      62 02 00 - 7F - Pan value
    4. VOCALOID2 Expression
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      63 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      63 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      63 02 00 - 7F - Expression value
    5. VOCALOID2 Vibrato Rate
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      64 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      64 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      64 02 00 - 7F - Vibrato Rate value
    6. VOCALOID2 Vibrato Depth
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      65 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      65 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      65 02 00 - 7F - Vibrato Depth value
    7. VOCALOID2 Pitch Bend Sensitivity
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      67 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
      67 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
      67 | 02 | 00 - 7F | 00 - 7F | Pitch Bend Sensitivity
  3. VOCALOID2 Real Time Message
    1. Begin of VOCALOID2 MIDI(BODM)
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      51 00 00 - 7F 00 - 7F DataEntry MSB : Version number , DataEntry LSB : device number
    2. End of VOCALOID2 MIDI(EODM)
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      52 00 00 - 7F 00 - 7F DataEntry MSB : Version number , DataEntry LSB : device number
  4. VOCALOID2 Program Change
    NRPN
    MSB     		NRPN
    LSB     		DataEntry
    MSB     		DataEntry
    LSB     		Description
    53 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
    53 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
    53 02 00 - 7F -
    Voice type: For Example
    00 : Male1
    01 : Male2
    ...
    0F : Male16
    10 : Female1
    11 : Female2
    ...
    1F : Female16
    20 : Child1
    21 : Child2
    ...
    2F : Child16
  5. VOCALOID2 Pitch Bend
    NRPN
    MSB     		NRPN
    LSB     		DataEntry
    MSB     		DataEntry
    LSB     		Description
    54 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
    54 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
    54 | 02 | 00 - 7F | 00 - 7F | Pitch Bend value
  6. VOCALOID2 Voice Change Parameters
    NRPN
    MSB     		NRPN
    LSB     		DataEntry
    MSB     		DataEntry
    LSB     		Description
    55 | 00 | 00 - 7F | 00 - 7F | DataEntry MSB : Version number , DataEntry LSB : device number
    55 | 01 | 00 - 7F | 00 - 7F | Delay in millisec
    55 02 00 - 7F -
    Voice Change Parameter ID
    31 : Voice Change Breathiness
    32 : Voice Change Brightness
    33 : Voice Change Clearness
    34 : Voice Change Portamento Timing
    35 : Voice Change Opening
    70 : Voice Change Gender Factor
    others : Reserved
    55 03 00 - 7F - Voice Change Parameter value


MIDI Data Format for Real-time VOCALOID2 VSTi

Channel Message

  1. Note on/off : 9n/8n
    note | Velocity | Description
    9n | 00 - 7F | 00 - 7F | Note on
    8n | 00 - 7F | 00 - 7F | Note off
  2. Control Change : Bn
    1. Modulation Wheel : 01
      MSB | Description
      01 | 00 - 7F | VOCALOID2 Vibrato Depth
    2. Expression controller : 0B
      MSB | Description
      0B | 00 - 7F | VOCALOID2 Expression
    3. General purpose controller2 : 11
      MSB | Description
      11 | 00 - 7F | VOCALOID2 Voice Change Breathiness
    4. General purpose controller3 : 12
      MSB | Description
      12 | 00 - 7F | VOCALOID2 Voice Change Clearness
    5. General purpose controller4 : 13
      MSB | Description
      13 | 00 - 7F | VOCALOID2 Voice Change Gender Factor
    6. Hold1 damper pedal : 40
      MSB Description
      40 00 - 7F 00 : sustain on
      7F : sustain off
      Other : reserved
    7. Timbre/Harmonic Intensity : 47
      MSB | Description
      47 | 00 - 7F | VOCALOID2 Voice Change Opening
    8. Brightness : 4A
      MSB | Description
      4A | 00 - 7F | VOCALOID2 Voice Change Brightness
    9. Vibrato Rate : 4C
      Not Used
    10. Vibrato Depth : 4D
      Not Used (see also Modulation Wheel)
    11. Vibrato Delay : 4E
      Not Used
    12. Data Inc/Dec : 60/61
      MSB | Description
      60 | 00 | Go to next lyric
      61 | 00 | Return to previous lyric
    13. NRPN MSB/LSB : 63/62
      NRPN
      MSB       		NRPN
      LSB       		DataEntry
      MSB       		DataEntry
      LSB       		Description
      58 01 00 - 7F - 00 : Fader mode
      01 : Fixed mode
      Other : reserved
      59 01 00 - Go to head of lyrics
      59 02 01- 7F - DataEntry MSB : Tab number in Lyrics Edit dialog
    14. RPN LSB/MSB : 64/65
      Not Used
    15. Mono/Poly mode : 7E/7F
      MSB | Description
      7E | 01 | Mono mode on & Poly mode off
      7F | 00 | Poly mode on & Mono mode off
    16. Program Change : Cn
      Not Used
    17. Pitch Bend : En
      LSB | MSB | Description
      En | 00 - 7F | 00 - 7F | Pitch Bend
  3. System Exclusive Message
    Not Used